<?php
if (!isset($_POST['key'])) {
echo 'Введите ключ:<br/><form action="key.php" method="post">
<input type="text" name="key" size="10"/><br/><input type="submit" value="Купить"/></form>';
} else {
$file = file('key.txt');
for ($i = 0; $i < count($file); $i++) {
$str = strpos($_POST['key'],$file[$i]);
if ($str !== false) {
$yes = true;
unset($file[$i]);
$f = fopen('key.txt','w');
fputs($f,implode('',$file));
fclose($f);
}
} //for
if ($yes) {
echo 'Вы успешно активировали ключ!';
} else {
header('Refresh : 2; url=key.php');
echo 'Ключ не верен!';
}
}
?>